# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/testlib.pm) perl(Tk.pm) perl(Tk/Canvas.pm) perl(Tk/Derived.pm) perl(Tk/ErrorDialog.pm) perl(Tk/Frame.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 1.030
%define module_name Tk-TreeGraph
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.030
Release: alt7
Summary: Tk widget to draw a tree in a Canvas
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DD/DDUMONT/%module_name-%module_version.tar.gz

%description
Tk::TreeGraph is a Canvas specialized to draw trees on a Canvas using
arrows and nodes. A node is simply some text imbedded in a rectangular shape.

TreeGraph is able to draw the following items:

=over 4

=item *

node: some text in a rectangular shape.

=item *

direct arrow: an arrow to go from one node to the following one.

=item *

slanted arrow: an arrow to make a new branch.

=item *

shortcuts arrow: an arrow to represent a shortcut between 2 nodes from
different branches.

=back

TreeGraph also provides :

=over 4

=item *

a binding on nodes on button 1 to 'select' them.

=item *

Methods to bind nodes and arrows on user's call-back.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc README ChangeLog
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.030-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.030-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.030-alt5
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.030-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.030-alt3.1
- rebuild with perl 5.26

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.030-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.030-alt2
- rebuild to get rid of unmets

* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 1.030-alt1
- initial import by package builder

